> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maalbar.dk/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a product

> Create a product for the current customer



## OpenAPI

````yaml post /products
openapi: 3.1.0
info:
  title: MÅLBAR LCA API
  version: 1.0.0
  description: API for Life Cycle Assessment (LCA) screening capabilities
servers:
  - url: https://api.maalbar.dk/v1
    description: MÅLBAR LCA API
security: []
tags:
  - name: Components
  - name: Customer
  - name: Distributions
  - name: Geographical Locations
  - name: Locations
  - name: Materials
  - name: Methods
  - name: Packagings
  - name: Product
  - name: Products
  - name: Routes
  - name: Screening
  - name: Screenings
  - name: Supplier
  - name: Supplier Locations
  - name: Suppliers
  - name: Tags
paths:
  /products:
    post:
      tags:
        - Products
      summary: Create a product
      description: Create a product for the current customer
      operationId: post-products
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProductApiInput'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateProductApiOutput'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateProductApiInput:
      $ref: '#/components/schemas/CreateProductSchema'
    CreateProductApiOutput:
      type: object
      properties:
        publicId:
          type: string
          minLength: 16
          maxLength: 16
          examples:
            - product_xxxxxxxxxxxx
        name:
          type:
            - string
            - 'null'
        sku:
          type:
            - string
            - 'null'
        ean:
          type:
            - string
            - 'null'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - publicId
        - name
        - sku
        - ean
        - createdAt
        - updatedAt
    CreateProductSchema:
      type: object
      properties:
        name:
          type:
            - string
            - 'null'
          maxLength: 255
        sku:
          type:
            - string
            - 'null'
          maxLength: 255
        ean:
          type:
            - number
            - 'null'
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Invalid request parameters
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Authentication required
    '404':
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Resource not found
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - An unexpected error occurred
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````